
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

img {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
    image-orientation: none;
}

html {
    overflow-y: scroll !important;
}

body {
    font-family: "Noto Sans", sans-serif;
    font-size:20px; 
    color:#4d4d4d;
    font-weight: 400;
    margin: 0;
    line-height: 1.4;
}



img {
    max-width: 100%;
    height: auto;
}

.boxed {
    max-width: 1380px;
    margin: auto;
    line-height: 1.5;
}

div.padding { padding:40px 30px 40px 30px;}







/* HEADING */
h1,h2.h1 {
    font-family: "Noto Sans", sans-serif;
    font-size: clamp(24px, 5vw, 50px);
    font-weight: 700;
    line-height: 1.05;
    color: #223562;
    text-transform: uppercase;
    margin: 0;
    margin-bottom: -0.3em;
}

span.dl {
    display: block;
    text-transform: none;
    font-size: max(1em, 30px);
    line-height: 1;
    font-weight: 400;
    margin-top: 0em;
    text-transform: none;

    font-family: "Square Peg", cursive;
    color: #5d7eab;
}


h2 {
    font-family: "DM Serif Text", serif;
    margin: 0;
    font-weight: 400;
    color: currentColor;
    position: relative;
    line-height: 1.1;
    font-size: calc(clamp(28px, 4vw, 44px) * 44/52);
    margin-bottom: -0.5rem;
    color: #002654;
}

h3 {  
    font-family: "Noto Sans", sans-serif;
    font-size: clamp(22px, 4vw, 26px);
    text-transform: uppercase;
    font-weight: 400;
    color: #223562;
    margin: 0;
    line-height: 1;
    margin-bottom: -1rem;
    font-variation-settings: "wdth" 75;
}


/* HEADER */
.wrapper-header {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    padding: 20px 16px 20px;
    border-bottom: 1px solid #eee;
    gap: 8px;
}

.wrapper-header div.logo {
    flex-shrink: 0;
}

.wrapper-header .logo img {
    width: 200px;
    vertical-align: top;
}

.wrapper-header h1 {
    margin-bottom: 0;
}


.header-langues {
    margin-left: auto;
}
.header-langues a {
    display: inline-block;
    height: 2em;
    width: 2em;
}
.header-langues a img {
    vertical-align: top;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
}




/* BURGER */
.wrapper-header .burger-btn{
    position: relative;
    width: 2em;
    height: 2em;
    padding: 0.75em;
    font-size: 1em;
    border: none;
    background: transparent;
    border: 2px solid #002654;
    display: block;
    cursor: pointer;
    z-index: 10000000;
    align-self: center;

    border-radius: 99px
}
.wrapper-header  .burger-btn .line{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    
    display: inline-block;
    width: 1em;
    height: 0.125em;
    background: #002654;

    border-radius: 99px;

    transition: transform 0.2s ease;
}


.wrapper-header .burger-btn .line:first-child{
    transform: translate(-50%, -0.4em);
}
.wrapper-header .burger-btn .line:last-child{
    transform: translate(-50%, 0.3em);
}
.wrapper-header.open .burger-btn .line:first-child{
    transform: translate(-50%, -50%) rotate(45deg);
}
.wrapper-header.open .burger-btn .line:nth-child(2){
    transform: translate(-50%, -50%) scaleX(0);
}
.wrapper-header.open .burger-btn .line:last-child{
    transform: translate(-50%, -50%) rotate(-45deg);
}


.wrapper-menu-mobile {
    display: block;
    width: 100%;
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 100000;
    background-color: rgba(0, 0, 0, 0.7);
    width: 100%;
    padding: 0;
    transition: opacity 0.2s ease;
    opacity: 0;
    pointer-events: none; 
    height: 100vh;
    height: 100dvh; 
}

.wrapper-header .wrapper-menu .wrapper-inner  {
    height: 100%;
}
.wrapper-header.open .wrapper-menu .wrapper-inner {
    transform: translateX(0);
}

.wrapper-header.open .wrapper-menu{
    opacity: 1;
    pointer-events: all;
}

.wrapper-header .wrapper-menu-mobile ul {
    list-style: none;
    margin: 0;
    padding: 16px 60px 16px 24px;
    background-color: #fff;
    max-width: 340px;
    margin-left: auto;
    height: 100%;
}

.wrapper-header .wrapper-menu-mobile li {
    margin: 0;
    padding: 0;
}

.wrapper-header .wrapper-menu-mobile a {
    display: block;
    padding: 4px 0;
    color: #223562;
    text-decoration: none;
    font-family: "Noto Sans", sans-serif;
    text-transform: uppercase;
    cursor: pointer;
    position: relative;
    font-variation-settings: "wdth" 75;
}

.wrapper-header .wrapper-menu-mobile a.selected::before {
    content: '';
    position: absolute;
    top: 50%;
    left: -0.4em;
    transform: translateY(-50%) translateX(-100%);
    width: 0.5em;
    height: 0.5em;
    border-radius: 50%;
    background: #ce1126;
}




/* FOOTER */
.wrapper-footer {
    background: #223562;
    padding: 40px 20px;
    color: #fff;
    text-align: center;
}
.wrapper-footer a {
    color: #fff;
    text-decoration: none;
}

.wrapper-footer .footer-btn {
    display: inline-block;
    background: #fff;
    color: #223562;
    text-decoration: none;
    padding: 10px 20px;
    margin-bottom: 10px;
    font-weight: 500;
    font-family: "Noto Sans", sans-serif;
    text-transform: uppercase;
    margin-bottom: 20px;
}








/* CARTES */
.nav-carte {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    flex-wrap: wrap;
    margin-bottom: 30px;
}
.tab-carte {
    font-family: "Noto Sans", sans-serif;
    color: #223562;
    background: transparent;
    text-transform: uppercase;
    font-weight: 500;
    line-height: 1;
    text-decoration: none;
    border: none;
    padding: 0.6em 0.8em;
    padding: round(up, 0.6em, 1px) round(up, 0.8em, 1px);
    cursor: pointer;
    text-align: center;
    font-size: 1em;
    font-variation-settings: "wdth" 75;
}
.tab-carte.active {
    background-color: #223562;
    color: #fff;
}
.bloc-carte {
    display: none;
}
.bloc-carte.active {
    display: block;
}

.bloc-carte .grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 20px 20px;
}


.drink {
    display: flex;
    width: 100%;
    height: 100%;
    /* border-bottom: 1px dotted #aaa; */
}

.intitule {
    padding-right: 10px;
    max-width: 70%;
    align-self: flex-end;
}

.intitule .description {
    display: block;
    color: #999;
    font-style: italic;
    font-size: 0.8em;
}

.prix {
    padding-left: 10px;
    display: flex;
    align-self: flex-end;
    text-align: right;
}

.intitule span strong {
    display: block;
    color: #102237;
    font-style: normal;
    font-weight: normal;
    font-size: 15px;
}

.intitule .petit, .intitule .p {
    font-size: 0.7em;
    color: #838383;
    font-weight: normal;

}

.drink-sep {
    flex: 100 1 auto;
    border-top: 1px dotted #aaa;
    content: '';
    align-self: flex-end;
    height: 13px;
}


.wrapper-carte-menu {
    width: 100%;
    padding: 20px;
    border: 1px solid #ddd;
    text-align: center;
}
.wrapper-carte-menu h3 {
    text-align: center;
    display: inline-block;
    margin-bottom: 10px;
}
.wrapper-carte-menu .sep {
    border-top: 1px solid #102237;
    display: block;
    margin: 10px auto;
    width: 30px;
}





.tableau {
    width: 100%;
    outline: 2px solid #223562;
    outline-offset: -2px;
}

.tableau td {
    padding: 5px;
}

.tableau .ligne-0 {
    background: #223562;
    color: #fff;
}

.tableau tr:not(.ligne-0):nth-child(odd) {
    background: #f4f4f4;
}

a.lien:link,
a.lien:visited {
    color: #ce1126;
    font-weight: 800;
    text-decoration: none;
}

a.lien:hover {
    color: #002654;
    text-decoration: none;
}



.slogan {
    padding: 20px;
    background: #22356215;
    position: relative;
    z-index: 1;
}




div.right { float:right; padding-left:16px; max-width: 100%;}
div.left { float:left; padding-right:16px;max-width: 100%;}

div.right-responsive {float:right; padding-left:16px;max-width:100%;}
div.left-responsive {float:left; padding-right:16px;max-width:100%;}

div.right-responsive-xl {float:right; padding-left:16px;max-width:100%;}
div.left-responsive-xl {float:left; padding-right:16px;max-width:100%;}


@media (max-width:800px) {
    div.right-responsive-xl {float:none;width:auto;padding:0;padding-bottom:20px;text-align: center;}
    div.left-responsive-xl {float:none;width:auto;padding:0;padding-bottom:20px;text-align: center;}
}

@media (max-width:560px) {
    div.right-responsive {float:none;width:auto;padding:0;padding-bottom:20px;text-align: center;}
    div.left-responsive {float:none;width:auto;padding:0;padding-bottom:20px;text-align: center;}
}




@media (max-width:800px) {
    .bloc-carte .grid {
        grid-template-columns: 1fr;
    }
}




@media (max-width:1200px) {
    div.padding { padding:35px 30px 35px 30px;}
    body {font-size:18px;}
}

@media (max-width:800px) {
    div.padding { padding:25px 20px 25px 20px;}
}

@media (max-width:600px) {
    .wrapper-header {
        font-size: 18px;
    }
    
    div.padding { padding:20px 20px 20px 20px;}
    body {font-size:16px;}

    .tab-carte {
        font-size: 0.8em;
    }

    .wrapper-header .logo img {
        width: 150px;
    }
}
@media (max-width: 450px) {

    .nav-carte {
        gap: 0;
    }

    .tab-carte {
        padding: 0.6em 0.4em;
        padding: round(up, 0.6em, 1px) round(up, 0.4em, 1px);
    }
}
